> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sudo.africa/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Funding Source

> Creates a new funding source.



## OpenAPI

````yaml openapi.json post /fundingsources
openapi: 3.1.0
info:
  title: Sudo Sandbox API
  version: '1.0'
servers:
  - url: https://api.sandbox.sudo.cards
security:
  - sec0: []
paths:
  /fundingsources:
    post:
      summary: Create Funding Source
      description: Creates a new funding source.
      operationId: create-funding-source
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - type
                - status
              properties:
                type:
                  type: string
                  description: This is the funding source type.
                  default: default
                  enum:
                    - default
                    - account
                    - gateway
                status:
                  type: string
                  description: This is the initial status of the funding source.
                  default: active
                  enum:
                    - active
                    - inactive
                jitGateway:
                  type: object
                  description: >-
                    Just in-time gateway details.  Required if type is
                    `gateway`.
                  required:
                    - url
                    - authorizationHeader
                    - authorizeByDefault
                  properties:
                    url:
                      type: string
                      description: Just in-time gateway url (HTTPS only).
                    authorizationHeader:
                      type: string
                      description: Just in-time gateway authorization header.
                    authorizeByDefault:
                      type: string
                      description: Just in-time gateway timeout configuration.
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer
      x-default: '{{APIKey}}'

````